
CREATE TABLE [SENSORTYPE]
( 
	[SensorTypeId]       int  IDENTITY ( 1,1 )  NOT NULL ,
	[SensorTypeName]     varchar(100)  NOT NULL ,
	PRIMARY KEY  CLUSTERED ([SensorTypeId] ASC)
)
go

CREATE TABLE [SENSOR]
( 
	[SensorId]           int  IDENTITY ( 1,1 )  NOT NULL ,
	[SensorName]         varchar(100)  NOT NULL ,
	[SensorTypeId]       int  NULL ,
	[Location]           varchar(100)  NULL ,
	PRIMARY KEY  CLUSTERED ([SensorId] ASC),
	UNIQUE ([SensorName]  ASC),
	 FOREIGN KEY ([SensorTypeId]) REFERENCES [SENSORTYPE]([SensorTypeId])
)
go

CREATE TABLE [MEASUREMENT]
( 
	[MeasurementId]      int  IDENTITY ( 1,1 )  NOT NULL ,
	[SensorId]           int  NOT NULL ,
	[MeasurementValue]   float  NULL ,
	[MeasurementTimeStamp] datetime  NULL ,
	PRIMARY KEY  CLUSTERED ([MeasurementId] ASC),
	 FOREIGN KEY ([SensorId]) REFERENCES [SENSOR]([SensorId])
)
go
